[package]
name = "mesoclaw-cli"
version.workspace = true
edition.workspace = true

[[bin]]
name = "mesoclaw"
path = "src/main.rs"

[dependencies]
tokio = { workspace = true }
tracing = { workspace = true }
tracing-subscriber = { workspace = true }
clap = { workspace = true, features = ["env"] }
reqwest = { workspace = true }
tokio-tungstenite = { workspace = true }
futures = { workspace = true }
serde = { workspace = true }
serde_json = { workspace = true }
clap_complete = "4"
openssl = { version = "0.10", features = ["vendored"], optional = true }

[features]
vendored-openssl = ["dep:openssl"]

[lints]
workspace = true
